import Api from "~/service/Api"
import Utils from "~/utils"

export default {
    async onFund(){
        const that = this.root;
        let rtnmsg = await that.executeRule("fudref")
        if(rtnmsg.respCode == "AAAAAA")
        {
          
            //this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm.rows          
            this.$message({
                type: 'success',
                message: '查询成功！'
            });
        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
},
        async onfundbuy(){
                let rtnmsg = await this.executeRule("buysel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onFunddat(){
                let rtnmsg = await this.executeRule("credat")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
            
       

}